select o.OrganizationID into #tempMO from ISZL.T_ORGANIZATION o where o.type_ = (select e.EntityID from VCLib.T_ENTITIES e where e.EntName = 'MO')

update s
set s.MO = u.Organization
from ISZL.T_SELECTION s
join ISZL.T_USERS u on u.UserID = s.Users
where u.Organization in (select * from #tempMO)
and s.MO is null

drop table #tempMO